As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 665622 - Fix unused variable warnings in GLContext.cpp & GLContextProviderEGL.cpp
: Fix unused variable warnings in GLContext.cpp & GLContextProviderEGL.cpp
Status: VERIFIED FIXED
[build_warning][inbound]
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Ed Morley [:emorley]
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: buildwarning
  Show dependency treegraph
 
Reported: 2011-06-20 10:45 PDT by Ed Morley [:emorley]
Modified: 2011-09-01 10:03 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix build warnings (3.36 KB, patch)
2011-06-20 11:01 PDT, Ed Morley [:emorley]
joe: review+
Details | Diff | Splinter Review

Description User image Ed Morley [:emorley] 2011-06-20 10:45:43 PDT
gfx/thebes/GLContext.cpp:1780:16: warning: unused variable 'status'
http://mxr.mozilla.org/mozilla-central/source/gfx/thebes/GLContext.cpp#1780

gfx/thebes/GLContextProviderEGL.cpp:1770: warning: unused variable 'context'
http://mxr.mozilla.org/mozilla-central/source/gfx/thebes/GLContextProviderEGL.cpp#1770

gfx/thebes/GLContextProviderEGL.cpp:2168: warning: unused variable 'context'
http://mxr.mozilla.org/mozilla-central/source/gfx/thebes/GLContextProviderEGL.cpp#2168

gfx/thebes/GLContextProviderEGL.cpp:2169: warning: unused variable 'config'
http://mxr.mozilla.org/mozilla-central/source/gfx/thebes/GLContextProviderEGL.cpp#2169
Comment 1 User image Ed Morley [:emorley] 2011-06-20 11:01:04 PDT
Created attachment 540534 [details] [diff] [review]
Fix build warnings

For the GLContext.cpp change, I'm wondering whether the whole |fCheckFramebufferStatus(LOCAL_GL_FRAMEBUFFER)| line can be put inside an #ifdef DEBUG block, since it would seem that the call isn't required at all, since it does nothing other than check the status. Or does it still need to be called?

If the call isn't needed, is there a DebugOnly macro for the whole line (as opposed to just the variable), or do I just fall back to #ifdef DEBUG?

Thanks :-)
Comment 2 User image Ed Morley [:emorley] 2011-06-21 04:45:44 PDT
http://dev.philringnalda.com/tbpl/?tree=Try&rev=fd911766b068
Comment 3 User image Ed Morley [:emorley] 2011-06-22 01:18:45 PDT
Joe, thanks for the quick review :-) Just wanted to double check before I mark this checkin-needed, that comment 1 didn't apply? Thanks!
Comment 4 User image Joe Drew (not getting mail) 2011-06-22 09:29:14 PDT
Better to keep it for now.
Comment 5 User image Daniel Holbert [:dholbert] 2011-06-23 19:03:54 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/093d1650e7a7
Comment 6 User image Marco Bonardo [::mak] 2011-06-24 02:58:31 PDT
http://hg.mozilla.org/mozilla-central/rev/093d1650e7a7
Comment 7 User image Mihaela Velimiroviciu (:mihaelav) 2011-09-01 06:38:00 PDT
Verified that the following files were updated in mozillla-central repository: 
gfx/thebes/GLContext.cpp
gfx/thebes/GLContextProviderEGL.cpp

Is this enough to verify the fix and mark the bug accordigly (VERIFIED-FIXED)?

Thank you!
Comment 8 User image Daniel Holbert [:dholbert] 2011-09-01 10:03:24 PDT
Yup, I'd say so.  Setting to VERIFIED based on comment 7. Thanks!

Note You need to log in before you can comment on or make changes to this bug.